package de.hft.stuttgart.citygml.viewer;

public class OrthogonalCamera extends Camera {

	public OrthogonalCamera(Shader shader) {
		super(shader);
	}
	
	@Override
	public void reshape(int width, int height, float distance) {
		projMatrix.setOrtho(0, width, height, 0, 0, distance);
		projMatrix.get(matrixBuffer);
		uniformLocation.uploadMat4(matrixBuffer);
	}
	
	@Override
	public void rotate(double dragDiffX, double dragDiffY) {
	}
	
	@Override
	public void move(double dragDiffX, double dragDiffY) {
	}
	
	@Override
	public void scroll(int scroll) {
	}
	
	@Override
	public void setDistance(float distance) {
	}

}
